diff --git a/ChangeLog b/ChangeLog
index af456a60c5..6aa1b50943 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -3,6 +3,9 @@
         + Add imcc -d2 flag for MKCONST tracing.
         + Fix darwin --m=32 Parrot_sysmem_amount() #1113
         + Honor rlimit settings on all non-windows platforms. #935
+	+ Fix Coroutine.mark, which missed the caller_seg #1109
+        + Add more -D flags for --ccflags=-DMEMORY_DEBUG #1108.
+	  Print initial memory settings on -D1
     - Build
         + Set -mabi=64 for gcc --m=64 on mips, -m64 on powerpc #1110
         + Add --{en,dis}able-static #1104
diff --git a/src/gc/gc_gms.c b/src/gc/gc_gms.c
index 478f7e7ec7..b05f5b4ac2 100644
--- a/src/gc/gc_gms.c
+++ b/src/gc/gc_gms.c
@@ -772,7 +772,7 @@ Parrot_gc_gms_init(PARROT_INTERP, ARGIN(Parrot_GC_Init_Args *args))
         self->gc_threshold = Parrot_sysmem_amount(interp) * nursery_size / 100;
 #ifndef NDEBUG
         if (Interp_debug_TEST(interp, PARROT_MEM_STAT_DEBUG_FLAG)) {
-            fprintf(stderr, "GC nursery size: %f\n", nursery_size);
+            fprintf(stderr, "GC nursery size: %.1f%%\n", nursery_size);
             fprintf(stderr, "GMS GC threshold: %ld\n", self->gc_threshold);
         }
 #endif
